<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelSms\AnTeilnehmer;

class SendSammelSmsController extends \Kufer\Web\KuferTools\Ausgaben\SammelSms\SendSammelSmsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SendSammelSmsUseCase(
      $this->getRequestObj(),
      $this->toolId,
      $this->toolSectionId,
      $this->rechteKey
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new SendSammelSmsRequest();
    
    $this->getRequestCommonPart($requestObj);
    $requestObj->belegungNummern = \PostOperations::getVarValue('belegungen', array());

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SendSammelSmsPresenter($pUseCaseResponse);
  }
}